Main Page Widgets Namespaces Book

# Atk::Attribute Class Reference

List of all members.

## Public Member Functions

| Attribute ()
| Attribute (const Glib::ustring& name, const Glib::ustring& value)
| Attribute (const AtkAttribute* gobject)
| ~Attribute ()
| Attribute (const Attribute& other)
Attribute& | operator= (const Attribute& other)
void | swap (Attribute& other)
Glib::ustring | get_name () const
Glib::ustring | get_value () const
AtkAttribute* | gobj ()
const AtkAttribute* | gobj () const

## Protected Attributes

AtkAttribute | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (Attribute& lhs, Attribute& rhs)

## Constructor & Destructor Documentation

Atk::Attribute::Attribute | ( |  | ) |

Atk::Attribute::Attribute | ( | const Glib::ustring& | name,
|  | const Glib::ustring& | value
| ) |

Atk::Attribute::Attribute | ( | const AtkAttribute* | gobject | ) | `[explicit]`

Atk::Attribute::~Attribute | ( |  | ) |

Atk::Attribute::Attribute | ( | const Attribute& | other | ) |

## Member Function Documentation

Glib::ustring Atk::Attribute::get_name | ( |  | ) | const

Glib::ustring Atk::Attribute::get_value | ( |  | ) | const

const AtkAttribute* Atk::Attribute::gobj | ( |  | ) | const`[inline]`

AtkAttribute* Atk::Attribute::gobj | ( |  | ) | `[inline]`

Attribute& Atk::Attribute::operator= | ( | const Attribute& | other | ) |

void Atk::Attribute::swap | ( | Attribute& | other | ) |

## Friends And Related Function Documentation

void swap | ( | Attribute& | lhs,
|  | Attribute& | rhs
| ) | `[related]`

## Member Data Documentation

AtkAttribute Atk::Attribute::gobject_`[protected]`

The documentation for this class was generated from the following file:

- text.h